v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/supply/settings/combination-dosing
Get all manual combination kit dosing definitions.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object CombinationKitDosingResponse
Manual combination kit dosing response.
Nested Schema : CombinationKitDosingResponse
Type:
objectManual combination kit dosing response.
Show Source
Nested Schema : doses
Type:
Show Source
array-
Array of:
object CombinationKitDosingDoseResponse
Manual combination kit dosing dose response.
Nested Schema : CombinationKitDosingDoseResponse
Type:
objectManual combination kit dosing dose response.
Show Source
Nested Schema : optionGroups
Type:
Show Source
array-
Array of:
object CombinationKitDosingOptionGroupResponse
Manual combination kit dosing option group response.
Nested Schema : CombinationKitDosingOptionGroupResponse
Type:
objectManual combination kit dosing option group response.
Show Source
Nested Schema : rows
Type:
Show Source
array-
Array of:
object CombinationKitDosingRowResponse
Manual combination kit dosing row response.
Nested Schema : CombinationKitDosingRowResponse
Type:
objectManual combination kit dosing row response.
Show Source
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}